## devscripts 2.19.3~bpo9+1

=== scripts/Makefile ===

include ../Makefile.common
include /usr/share/dpkg/vendor.mk
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION = $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.pl,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES := \
	build-rdeps \
	dcontrol \
	dd-list \
	debcheckout \
	debsnap \
	dget \
	getbuildlog \
	grep-excuses \
	mass-bug \
	mk-build-deps \
	pts-subscribe \
	pts-unsubscribe \
	rc-alert \
	rmadison \
	transition-check \
	who-uploads \
	whodepends \
	wnpp-alert \
	wnpp-check \

GEN_MAN1S += \
	debrepro.1 \
	ltnu.1 \
	mk-origtargz.1 \
	salsa.1 \
	reproducible-check.1 \
	uscan.1 \

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(DEB_VENDOR),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<; \

test_py: $(VERSION_FILE)
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)


test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for debpkg
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/changelog ===
devscripts (2.19.3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 01 Mar 2019 12:03:30 +0100

devscripts (2.19.3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * grep-excuses:
    + Add a patch from Niels Thykier to fix a possible crash.  Closes: #919191
  * bts:
    + Expand the "BTS" acronym in the manpage synopsis.  Closes: #920870
  * rmadison:
    + Apply a patch from Jakub Wilk to use HTTPS with people.canonical.com.
      Closes: #921378
  * nmudiff:
    + Expand the "NMU" acronym in the manpage description.  Closes: #920869

  [ Simon McVittie ]
  * debc/debi:
    + List packages of any architecture.
    + Consider installing foreign 'Multi-Arch: same' packages, as long as they
      belong of a known foreign architecture.
    + Closes: #915668; MR: !93
  * mergechanges: MR: !102
    + Merge Binary and Description fields.  Closes: #920470
    + Add a basic regression test.

  [ Xavier Guimard ]
  * salsa:
    + Slightly improve the documentation.  Closes: #919402; MR: !100
    + Fix misinterpretation of SALSA_IRKER in devscripts.conf.
    + Fix the impossibility to delete email-on-push.
    + Fix email recipients afterglow when used with --all.
      Closes: #921640; MR: !104
    + Die if project is missing in fork command.  Closes: #922079
  * uscan:  MR: !101
    + Fix dehs output with components with the "ignore" version.
    + Fix dehs output when "group" is used.
    + Avoid false positive warning on USCAN_SYMLINK value.
      Closes: #920874; MR: !103
    + Fix exit code when component are used.  Closes: #922131; MR: !105
    + Don't parse empty options.  Closes: #922132; MR: !105
  * French translation update.

  [ Chris Leick ]
  * German translation update.

  [ Reiner Herrmann ]
  * German translation update.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Feb 2019 06:45:37 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Pierre-Elliott Bécue <becue@crans.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 docbook-xsl,
 dpkg-dev (>= 1.18.19),
 fakeroot <!nocheck>,
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 mozilla-devscripts <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkg-config,
 po4a,
 pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 fakeroot,
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-homedir-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt,
 at,
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libgitlab-api-v4-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 devscripts-el,
 diffoscope,
 disorderfs,
 dose-extra (>= 4.0),
 duck,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libnet-smtps-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mozilla-devscripts,
 mutt,
 piuparts,
 postgresql-client,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

## devscripts 2.19.4~bpo9+1

=== debian/changelog ===
devscripts (2.19.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Apr 2019 20:37:18 +0200

devscripts (2.19.4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debrepro:
    + Include --before-second-build option in output of --help.

  [ Adam D. Barratt ]
  * scripts/Makefile:
    + Fix building / testing of shell-based scripts.  Closes: #923271

  [ Paul Wise ]
  * chdist:
    + Drop Dir::State::status as apt doesn't hard-code it since 1.3~pre3

  [ Mattia Rizzolo ]
  * Apply patch from Jakub Wilk to fix a weird spacing in devscripts(1).
    Closes: #922975
  * sadt:
    + Ignore a UserWarning from debian.deb822.PkgRelation.parse_relations after
      #712513 changed its format.  Closes: #924026
  * wrap-and-sort:
    + Do not try to sort the paragraphs in d/tests/control.  Closes: #923499
  * tests:
    + Introduce a chronic_sh() bash function, reimplementing chronic(1).
    + Quiet down the uscan_git tests by using the new chronic_sh() thing, and
      tweaking a few command calls here and there.
    + Rename the TMPDIR variable to avoid overloading it, and with it affect
      the behaviour of mktemp(1) when it was already exported.  Closes: #924977
      This affected only some uscan tests.
    + Also tweak a few mktemp(1) calls to place their files in SHUNIT_TMPDIR,
      and name them after the tests they are running.
    + export GIT_CONFIG_NOGLOBAL=1, HOME=, XDG_CONFIG_HOME= in a few tests
      (uscan_git and salsa) to prevent the local configuration from affecting
      the tests.  Closes: #921334

  [ Xavier Guimard ]
  * salsa:
    + Allow `checkout --all`, to checkout all repos in a group.  MR: !109
    + Return 1 when lists are empty.  MR: !110
    + Fix disable/enable options.  MR: !114
    + Add KGB options configuration.  Closes: #921641; MR: !115
  * uscan:
    + Fix bad check for "verbose" in Config.pm.  Closes: #923441; MR: !111
  * Update French translation

  [ Reiner Herrmann ]
  * Update German translation.

  [ Simon McVittie ]
  * mergechanges:
    + Fix handling of .changes with a multiline Binary field.
      Closes: #923427; MR: !112

  [ Christoph Berg ]
  * Refresh German translation, mostly for salsa.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Mar 2019 16:57:59 +0100

## devscripts 2.19.5~bpo9+1

=== debian/changelog ===
devscripts (2.19.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 May 2019 13:49:33 +0200

devscripts (2.19.5) unstable; urgency=medium

  [ Topi Miettinen ]
  * hardening-check:
    + Fix some typos in the documentation.  MR: !118

  [ Xavier Guimard ]
  * Update French translation.
  * uscan:
    + Don't fail on first error when using multiple watch files.
      Closes: #927864; MR: !119
  * salsa:  MR: !117
    + Fix token regexp to allow "-" in GitLab tokens.
    + Fix useless warnings when old description is null.  Closes: #927367
    + Accept sub-groups in --group parameter.  Closes: #927350
    + Fix bad warning if user is an inherited member of a subgroup.
      Closes: #927373

  [ Edward Betts ]
  * Correct some spelling errors in documentation.  MR: !116

  [ Guillem Jover ]
  * mk-origtargz:  MR: !120
    + Do not enarmor already armored OpenPGP signatures.  This actively caused
      broken .asc files to be uploaded to the archive.
    + Pass --no-options to gpg.
    + Prevent duplicating the signature in case mk-origtargz is called twice.
    + Fix OpenPGP signature ASCII enarmor normalization.
    + Minore code improvements.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 May 2019 17:01:29 +0200

## devscripts 2.19.5+deb10u1~bpo9+2

=== debian/changelog ===
devscripts (2.19.5+deb10u1~bpo9+2) stretch-backports; urgency=medium

  * Source only upload for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 09 Aug 2019 14:36:36 +0900

devscripts (2.19.5+deb10u1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 09 Aug 2019 12:34:36 +0900

devscripts (2.19.5+deb10u1) buster; urgency=medium

  [ Thomas Goirand ]
  * debchange:
    + Target buster-backports with --bpo.  Closes: #931614

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Aug 2019 23:15:44 +0200

## devscripts 2.19.5+deb10u1

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

all: version doc make_scripts conf.default translated_manpages

version:
	rm -f version
	dpkg-parsechangelog -SVersion > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_doc clean_translated_manpages
	rm -f version conf.default make_scripts

doc:
	$(MAKE) -C doc

online-test:
	$(MAKE) -C test/ online-test

test:
	$(MAKE) test_scripts
	$(MAKE) test_test

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts install_doc
	install -d "$(DESTDIR)$(PERLMOD_DIR)" \
	    "$(DESTDIR)$(DATA_DIR)" "$(DESTDIR)$(TEMPLATES_DIR)" \
	    "$(DESTDIR)$(DOCDIR)"
	for f in lib/*; do cp -a "$$f" "$(DESTDIR)$(PERLMOD_DIR)"; done
	install -m0644 conf.default "$(DESTDIR)$(DATA_DIR)"
	install -m0644 templates/README.mk-build-deps "$(DESTDIR)$(TEMPLATES_DIR)"
	install -m0644 README "$(DESTDIR)$(DOCDIR)"
	ln -sf edit-patch.1 "$(DESTDIR)$(MAN1DIR)/add-patch.1"

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

clean_doc: clean_translated_manpages
	$(MAKE) -C doc clean
install_doc:
	$(MAKE) -C doc install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== scripts/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 CWRAPPERS = debpkg-wrapper
 SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
 PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
-SH_CHECKS = $(patsubst %.pl,%.sh_check,$(SH_FILES))
+SH_CHECKS = $(patsubst %.sh,%.sh_check,$(SH_FILES))
 COMPL_FILES := $(wildcard *.bash_completion)
 BC_BUILD_DIR:=bash_completion
 COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
@@ -56,6 +56,8 @@
 
 $(VERSION_FILE):
 	$(MAKE) -C .. version
+
+%: %.sh
 
 debchange: debchange.pl $(VERSION_FILE)
 	cp $< $@

=== test/debrepro/reproducible/debian/changelog ===
reproducible (0.1.0~FIXME-1) UNRELEASED; urgency=medium

  * Initial release (Closes: #nnnn)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 19 Apr 2018 17:33:39 -0300

=== debian/tests/control ===
Tests: shunit2
Depends:
 @,
 build-essential,
 debhelper,
 fakeroot,
 faketime,
 git,
 gnupg,
 libdistro-info-perl,
 libgitlab-api-v4-perl,
 libipc-run-perl,
 libtest-output-perl,
 libwww-perl,
 mozilla-devscripts,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 wdiff,
 zip,
Restrictions: allow-stderr

## devscripts 2.19.5+deb10u1+nmu1

=== debian/changelog ===
devscripts (2.19.5+deb10u1+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:10 +0800

## devscripts 2.19.6~bpo10+1

=== debian/changelog ===
devscripts (2.19.6~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Aug 2019 23:21:04 +0200

devscripts (2.19.6) unstable; urgency=medium

  [ Christoph Berg ]
  * origtargz:
    + Support unpacking tarballs where the files are in /.

  [ Alex Murray ]
  * hardening-check:
    + Add support for detecting binaries compiled with
      -fstack-clash-protection.  LP: #1820798; MR: !121
    + Add detection for -fcf-protection.  MR: !127

  [ laokz ]
  * uscan:
    + Fix typo in documentation.  MR: !125
    + Remove redundant, misleading  string in a debug message.  MR: !126

  [ Thomas Goirand ]
  * debchange:
    + Target buster-backports with --bpo.  Closes: #931614

  [ Paul Wise ]
  * Devscripts::Config:
    + Improve handling (prevent code execution and errors with spaces and
      newlines) of the configuration files.  MR: !124
      - Move String::ShellQuote from Recommends to Depends.

  [ Xavier Guimard ]
  * Reformat code following the changes in the new perltify 20181102.  MR: !129
  * debi:
    + Replace dpkg + apt-get by "apt-get install" on .change file.
      Closes: #810294; MR: !45
  * salsa:
    + Add "join" command.  Closes: #921314;  MR: !108
    + Add "push" command.  MR: !108
    + Update doc: completion for aliases.  MR: !108
  * uscan:
    + Ignore --download-version when component is marked as "ignore".  MR: !130
    + Fix download when <base> tag is relative.  Closes: #932399; MR: !133

  [ Mattia Rizzolo ]
  * d/control:
    + Bump Standards-Version to 4.4.0, no changes needed.

  [ Nick Gerow ]
  * debchange:
    + Make sure to escape special characters in the maintainer name.  MR: !128

  [ Simon McVittie ]
  * uscan:
    + Don't recurse into directories named .git when searching for
      Debian packages.  MR: !132

  [ Unit 193 ]
  * dcmd:
    + Consider .asc files as part of the upstream orig files.
    + Also add .zst as an allowed extension for upstream orig files.

  [ Sean Whitton ]
  * git-deborig:
    + New --just-print-tag-names option.  Closes: #931180; MR: !131

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 20 Jul 2019 10:43:35 +0200

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
  xsltproc,
  xz-utils <!nocheck>,
  zip <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -74,6 +74,7 @@
  libfile-which-perl,
  libipc-run-perl,
  libmoo-perl,
+ libstring-shellquote-perl,
  libwww-perl,
  patchutils,
  sensible-utils,
@@ -83,7 +84,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- apt,
+ apt (>= 1.3~pre3),
  at,
  dctrl-tools,
  dput | dupload,
@@ -93,7 +94,6 @@
  libgit-wrapper-perl,
  libgitlab-api-v4-perl,
  liblist-compare-perl,
- libstring-shellquote-perl,
  libtry-tiny-perl,
  liburi-perl,
  licensecheck,

## devscripts 2.19.6ubuntu1

=== debian/changelog ===
devscripts (2.19.6ubuntu1) eoan; urgency=medium

  * Build depend on pylint, which is now python3-based, instead of pylint3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Sep 2019 14:00:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Pierre-Elliott Bécue <becue@crans.org>,
@@ -39,7 +40,7 @@
  perltidy <!nocheck>,
  pkg-config,
  po4a,
- pylint3 <!nocheck>,
+ pylint <!nocheck>,
  python3-all:any,
  python3-apt <!nocheck>,
  python3-debian <!nocheck>,

## devscripts 2.20.2

=== debian/changelog ===
devscripts (2.20.2) unstable; urgency=medium

  * d/tests/control: add missing dependency on subversion.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Feb 2020 16:41:11 +0100

devscripts (2.20.1) unstable; urgency=medium

  [ Xavier Guimard ]
  * d/bug-script: fix return value if a file is empty.  MR: !148
  * Update French translation

  [ Mattia Rizzolo ]
  * test/uscan:
    + Fixup and improve the httpserver cleanup functions to prevent
      stray process to persist at the end of the build.  Closes: #933642
    + Go back to use a real temporary file instead of a named pipe in
      chronic_sh.  This should also fix the Hurd FTBFS.
  * d/control:
    + Use an alternative dependency to pylint | pylint3, to supprt backports.
    + Bump Standards-Version to 4.5.0, no changes needed.
  * Make the Python code compliant with pylint-2.4.4.  Closes: #945267
  * grep-excuses:
    + Document the --autopkgtests option also in the --help.  Closes: #941329
  * debrebuild:
    + Add a new script that accepts a .buildinfo file as input and provides
      instructions on how to drive APT (and sbuild) to perform a rebuild.
      This script is still considered WIP, and its interface will likely
      change in the future.
      Thanks to Johannes Schauer for authoring the script.  Closes: #774415

  [ Andrius Merkys ]
  * uscan:
    + Add support for direct access to Subversion repositories using a new
      mode=svn.  Closes: #939538; MR: !160

  [ Hans Jerry Illikainen ]
  * reproducible-check:
    + Consider 'FTBR' as unreproducible.  MR: !169

  [ Timo Furrer ]
  * mk-build-deps:  MR: !168
    + Document the DEB_BUILD_PROFILES environment variable.
    + Introduce a -P / --build-profiles option.

  [ Ximin Luo ]
  * mk-origtargz:
    + Restore old behaviour that skips mk-origtargz when --no-symlink is given.

  [ Nicolas Boulenguez ]
  * Improve reporting in case of --no-conf misuse for several tools.  MR: !163

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 31 Jan 2020 12:10:18 +0100

devscripts (2.19.7) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debclean:
    + Allow debclean to work when in any path inside the package and
      avoid searching in .git directories.  MR: !152
  * debsnap:
    + Added a new example to manpage to show how to use --first and --last
      options.  MR: !166

  [ Xavier Guimard ]
  * Update French translation.
  * salsa:
    + Fix broken push command.  MR: !138
    + Don't fail on checkout if --no-fail is set.  MR: !151
  * bts:
    + Fix warning with "noaction" and undefined "from".
      Closes: #933607; MR: !145
  * uscan:
    + Better displayed name when using components.  MR: !146
    + Include details about the components in the dehs output.  MR: !147
    + Fix bad https verification.  MR: !150
    + Fore re-compression of components when their compression differ from the
      main tarball.  Closes: #934464; MR: !149
    + Fix git-shallow download when tag contains a "/".
      Closes: #935949; MR: !158
  * origtargz:
    + Fix incompatibility with components.  Closes: #929786; MR: !159

  [ Sean Whitton ]
  * git-deborig:
    + Print to stderr, not stdout, when appropriate.  Closes: #931509; MR: !134

  [ Simon McVittie ]
  * debi:
    + Wait for apt/dpkg child processes, fixing a regression in MR !45.
      Closes: #932896; MR: !135
    + Invoke apt or apt-get with --reinstall.
      Otherwise repeated test-builds of a package with the intended next
      version number will not replace each other since MR !45.  MR: !136
    + Don't use apt if applying neither --upgrade nor --with-depends.
      Closes: #932640; MR: !142
    + Don't use apt install ./*.changes for --with-depends --upgrade.
      Closes: #932963; MR: !143
    + Let --upgrade install new dependencies from the same source (corner
      case from #932963).  MR: !144
  * tests:
    + test_mergechanges: Fix detection of --installed option.  MR: !140
    + test_debi:
      - Add a new integration test for debi, running only as root, currently
        only in GitLab CI and autopkgtest.  MR: !141
  * Refresh formatting following the new perltidy version 20190601.  MR: !154

  [ Sven Hartge ]
  * mk-build-deps:
    + Implement parsing of Build-Depends-Arch and Build-Conflicts-Arch.
      Closes: #891664; LP: #1794314; MR: !139

  [ Mattia Rizzolo ]
  * nmudiff:
    + Document in the manpage the --no-pending and --no-dd options.
      Closes: #932848
  * debchange:
    + Document the Ubuntu special case when running --release.  Closes: #942370
  * d/bug-script:
    + Use `grep -E` instead of the non-standard `egrep`.
  * d/control:
    + Build depend on pylint, which is now python3-based, instead of pylint3.
    + Bump Standards-Version to 4.4.1, no changes needed.

  [ Mike Salvatore ]
  * hardening-check:
    + Fix possible deadlock in stdout/stderr reading.  MR: !153

  [ Christoph Berg ]
  * dcontrol:
    + Remove, the backend on qa.debian.org has not been maintained for years.

  [ Paul Wise ]
  * Avoid needing to shell quote configuration filenames by using arguments
    + Move String::ShellQuote from depends to recommends
  * chdist:
    + Allow putting the dist name before the command instead of after.
  * grep-excuses:
    + Drop duplicate aging info from excuses output

  [ Laurent Bigonville ]
  * Fix typo in the French translation.

  [ Nicolas Boulenguez ]
  * debclean, uupdate, who-uploads:
    + Add `set -e` to these shell scripts.  MR: !164

  [ Guillem Jover ]
  * deb-why-removed:
    + New tool to fetch package removal information.  Closes: #644575; MR: !107

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 17 Oct 2019 16:24:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Pierre-Elliott Bécue <becue@crans.org>,
@@ -40,7 +39,7 @@
  perltidy <!nocheck>,
  pkg-config,
  po4a,
- pylint <!nocheck>,
+ pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
  python3-all:any,
  python3-apt <!nocheck>,
  python3-debian <!nocheck>,
@@ -52,12 +51,13 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
+ subversion <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,
  xsltproc,
  xz-utils <!nocheck>,
  zip <!nocheck>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -75,7 +75,6 @@
  libfile-which-perl,
  libipc-run-perl,
  libmoo-perl,
- libstring-shellquote-perl,
  libwww-perl,
  patchutils,
  sensible-utils,
@@ -95,6 +94,7 @@
  libgit-wrapper-perl,
  libgitlab-api-v4-perl,
  liblist-compare-perl,
+ libstring-shellquote-perl,
  libtry-tiny-perl,
  liburi-perl,
  licensecheck,

## devscripts 2.20.2ubuntu2

=== scripts/Makefile ===
--- 
+++ 
@@ -23,7 +23,6 @@
 COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
 PKGNAMES := \
 	build-rdeps \
-	dcontrol \
 	dd-list \
 	debcheckout \
 	debsnap \
@@ -43,6 +42,7 @@
 	wnpp-check \
 
 GEN_MAN1S += \
+	deb-why-removed.1 \
 	debrepro.1 \
 	ltnu.1 \
 	mk-origtargz.1 \

=== test/Makefile ===

OUR_TESTS= \
	perl \
	annotate-output \
	checkbashisms \
	dd-list \
	debchange \
	debdiff \
	debrepro \
	debsign \
	mergechanges \
	mk-origtargz \
	package_lifecycle \
	sadt \
	uscan \
	uscan_ftp \
	uscan_git \
	uscan_svn \
	uscan_mangle \
	perltidy \

# Tests that must run as root, and alter the state of the system by
# adding/removing packages
DESTRUCTIVE_TESTS = \
	debi \

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

destructive-test: $(foreach i,$(DESTRUCTIVE_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

destructive-test-installed: $(foreach i,$(DESTRUCTIVE_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test destructive-test

=== debian/changelog ===
devscripts (2.20.2ubuntu2) focal; urgency=medium

  * Restore changes to test/test_uscan_svn, required to properly skip
    subversion tests at build time on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 13:05:38 -0800

devscripts (2.20.2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build-depend on subversion on i386, not supported on this arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 12:35:18 -0800

devscripts (2.20.1ubuntu1) focal; urgency=medium

  * Don't build-depend on subversion on i386, not supported on this arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2020 13:56:52 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Pierre-Elliott Bécue <becue@crans.org>,
@@ -51,7 +52,7 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
- subversion <!nocheck>,
+ subversion [!i386] <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,
  xsltproc,

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
 SUBSTVARS=-V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS) \
		-V"devscripts:LongDesc=$$(cat README| awk '/^- annotate-output/,/^  mailing lists./'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"

## devscripts 2.20.2ubuntu2+10.0trisquel1

=== debian/changelog ===
devscripts (2.20.2ubuntu2+10.0trisquel1) nabia; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 02 Jan 2022 14:27:52 +0000

## devscripts 2.20.3~bpo10+1

=== debian/changelog ===
devscripts (2.20.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 May 2020 15:48:29 +0200

devscripts (2.20.3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * uupdate:
    + Apply patch from Unit 193, adding full stops to the generated changelog.
  * uscan:
    + Apply patch from Unit 193, adding --queit to the `git clone` calls.
  * checkbashisms:
    + Improve check for `command` to properly detect options other than -p
      also when -p is not the first option.  Closes: #835498
      Thanks to Eero Vuojolahti <eero@vuojolahti.com> for the initial patch.
    + After Policy v4.1.5, the POSIX standard for shell script is
      POSIX.1-2017.  Recognize `command -v` and `command -V` as valid.
  * dget:
    + Apply patch from Bilal Muhammad to add support for scp:// and sftp://
      protocols.  Closes: #956498
  * tests:
    + test_package_lifecycle:
      - Require dpkg-dev >= 1.19.1, use Rules-Requires-Root in the test package
        and therefore drop the fakeroot Build-Depends.

  [ Andrius Merkys ]
  * uscan:
    + Fix svn mode with HTTP URLs.  Closes: #951568; MR: !173

  [ Lars Kruse ]
  * checkbashisms:
    + Remove check for "sleep" (not a shell builtin).  Closes: #843913; MR: !176

  [ Paul Wise ]
  * bts:
    + Sync the known tags with bugs.debian.org.

  [ Xavier Guimard ]
  * Reformat perl scripts with the new perltidy 20200110.

  [ Holger Levsen ]
  * debrebuild:
    + Stop using the reproducible-builds.org apt repo.  Closes: #955280
    + Switch to use deb.debian.org as the base apt repo.  Closes: #955298
    + Add support for Debian 12 bookworm.

  [ Antonio Terceiro ]
  * debrepro:
    + Run command before second build via `sh -c`.
    + Run command before second build in the source tree copy, to avoid
      modifying the original tree.
    + Add a new --timeout option.

  [ Simon McVittie ]
  * mass-bug:
    + Add a test.  MR: !186
    + Add a new --control option, to be able to add arbitrary
      Control: pseudo-headers.  MR: !183
  * tests:
    + test_package_lifecycle:
      + Fix test with debhelper 13.  Closes: #958350; MR: 185

  [ Jiří Paleček ]
  * uscan:
    + Fix operation with simple git branches (rather than tags).  MR: !175
  * tests:
    + test_package_lifecycle:
      - Fix test failures under non-EN locales.  Closes: #953281

  [ Alex Murray ]
  * hardening-check:
    + Change to a more reliable to way of detecting control flow protection,
      and add a new --nocfprotection flag to disable the check.  MR: !184

  [ Xavier Guimard ]
  * uscan:
    + Fix DEHS <target> output for components.  MR: !179
    + Fix --download-version with grouped packages.  MR: !156
    + Add "checksum" target to reduce grouped version size.  MR: !156
    + Add --http-header option.  Closes: #955268; MR: !181
  * Update French translation.
  * salsa:
    + Fix error when trying to display an error with "update_repo".
    + Enable "enable_ssl_verification" KGB option by default since GitLab sets
      it
    + During webhook configuration, don't fail when --no-fail is set and
      GitLab fails

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 25 Apr 2020 21:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Pierre-Elliott Bécue <becue@crans.org>,
@@ -11,8 +10,7 @@
  debhelper-compat (= 12),
  dh-python,
  docbook-xsl,
- dpkg-dev (>= 1.18.19),
- fakeroot <!nocheck>,
+ dpkg-dev (>= 1.19.1),
  faketime <!nocheck>,
  file <!nocheck>,
  git (>= 1:2.7.0) <!nocheck>,
@@ -52,7 +50,7 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
- subversion [!i386] <!nocheck>,
+ subversion <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,
  xsltproc,

## devscripts 2.20.4

=== debian/changelog ===
devscripts (2.20.4) unstable; urgency=medium

  [ Xavier Guimard ]
  * Update French translations.
  * dget:
    + Fix POD formatting.  Closes: #958940
  * salsa:
    + Fix "TOKEN missing" error message.
  * uscan:
    + Decrease pgp message level to "info" when "pgpmode=previous" is set.
    + Add ability to handle gzipped HTTP responses.  Closes: #961744; MR: !196
    + Repack component only if compression differs.  MR: !199

  [ Mattia Rizzolo ]
  * Fix some new flake8 issues.  Closes: #963329
  * sadt:
    + Also consider Build-Depends-Arch for @builddeps@.
    + Ignore udebs when computing the list of binaries produced by a package.
  * manpage-alert:
    + Fix some shellcheck warnings.
  * origtargz:
    + Add pristine-tar to Recommends.  Closes: #961532
  * build-rdeps:
    + Apply patch from Helmut Grohne to add the new options --no-arch-all and
      --no-arch-any to ignore respectively Build-Depends-Indep and
      Build-Depends-Arch.  Closes: #961545
  * reproducible-check:
    + Mention the tool in README.
  * debrebuild:
    + Mention the tool in README.
  * uscan:
    + Apply patch from Unit 193 to better align the output.

  [ Niko Tyni ]
  * debc:
    + Fix deadlock with a control file bigger than 64 KB.  Closes: #961368

  [ Lee Garrett ]
  * manpage-alert:
    + Avoid duplicate detection on usrmerged systems.  Closes: #960567; MR: !194

  [ Chris Lamb ]
  * reproducible-check:
    + Overhaul of the whole script:  MR: !197
      - Improve code style.
      - Improve caching mechanism.
      - Correct logic for checking for *reproducible* packages.  Closes: #961857
      - Don't return results for non-Debian distributions.  Closes: #961859
      - Show a warning that the data should not be treated as "official"
        or similar.  Closes: #961858

  [ Yuri Konotopov ]
  * origtargz:
    + Properly exit the program when it fails to obtain the tarball.  MR: !198

  [ Jakob Haufe ]
  * uscan:
    + Fix perl call to make_path to not create unexpected directories.
      Closes: #932715; MR: !195

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jun 2020 15:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -100,6 +100,7 @@
  lintian,
  man-db,
  patch,
+ pristine-tar,
  python3-apt,
  python3-debian (>= 0.1.15),
  python3-magic,

## devscripts 2.20.4ubuntu3

=== debian/changelog ===
devscripts (2.20.4ubuntu3) groovy; urgency=medium

  * Fix FTBFS due to pylint warning.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Sep 2020 15:02:29 +0100

devscripts (2.20.4ubuntu2) groovy; urgency=medium

  * Downgrade pristine-tar dependency relation to Suggests (LP: #1885766)

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 30 Jun 2020 15:38:48 -0300

devscripts (2.20.4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build-depend on subversion on i386, not supported on this arch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 21:11:41 +0200

devscripts (2.20.3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build-depend on subversion on i386, not supported on this arch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Apr 2020 10:13:01 +0200

devscripts (2.20.2ubuntu3) groovy; urgency=medium

  * No-change upload to pick up new distro name.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Apr 2020 19:35:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Pierre-Elliott Bécue <becue@crans.org>,
@@ -50,7 +51,7 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
- subversion <!nocheck>,
+ subversion [!i386] <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,
  xsltproc,
@@ -100,7 +101,6 @@
  lintian,
  man-db,
  patch,
- pristine-tar,
  python3-apt,
  python3-debian (>= 0.1.15),
  python3-magic,
@@ -140,6 +140,7 @@
  mutt,
  piuparts,
  postgresql-client,
+ pristine-tar,
  quilt,
  ratt,
  reprotest,

## devscripts 2.20.5

=== scripts/Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
 GEN_MAN1S += \
 	deb-why-removed.1 \
+	debbisect.1 \
 	debrepro.1 \
 	ltnu.1 \
 	mk-origtargz.1 \
@@ -99,6 +100,14 @@
 test_py: $(VERSION_FILE)
 	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))
 
+debbisect.1: debbisect
+	help2man \
+		--name="bisect snapshot.debian.org" \
+		--version-string=$(VERSION) \
+		--no-info \
+		--no-discard-stderr \
+		./$< >$@
+
 reproducible-check.1: reproducible-check
 	help2man \
 		--name="Reports on the reproducible status of installed packages" \
@@ -134,9 +143,11 @@
 	done
 	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
 	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
-	# Special treatment for debpkg
+	# Special treatment for debpkg and run_bisect
 	install -d $(DESTDIR)$(DATA_DIR)
 	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
 	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
+	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)
+	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)
 
 .PHONY: test test_pl test_sh test_py all install clean scripts

=== test/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	uscan_git \
 	uscan_svn \
 	uscan_mangle \
+	uscan_group \
 	perltidy \
 
 # Tests that must run as root, and alter the state of the system by

=== debian/changelog ===
devscripts (2.20.5) unstable; urgency=medium

  [ Holger Levsen ]
  * debrebuild:
    + provide parsable output. Closes: #964733.

  [ Mattia Rizzolo ]
  * reproducible-check, sadt:
    + Fix new pylint warnings:  Closes: #971134
      W1404: implicit-str-concat, W0707: raise-missing-from,
      R1725: super-with-arguments.
  * debsign:
    + Apply patch from Bastien Roucariès to fix bash-completion failure for
      `debsign -k` if no current key was already specified.  Closes: #966358
  * debchange:
    + Bump the LTS release to 9/stretch.  Closes: #974164
  * uscan:
    + Apply patch from Unit 193 to beatify a bit the output.
  * d/control:
    + Demote `at` from Recommends to Suggests.  Closes: #975047
    + Bump Standards-Version to 4.5.1, no changes needed.
  * Update copyright file.

  [ Niels Thykier ]
  * debrebuild (MR: !202; MR: !203):
    + Pass --no-run-lintian to sbuild. Closes: #955304
    + Use autodie to check for errors instead of ignoring errors from every
      syscall like open() and close().
    + Correctly determine the name of the source package from the buildinfo.
      Previously, it would be wrong for e.g. binNMUs.  Note this does *not*
      imply that debrebuild can rebuild binNMUs (see #961862).  Closes: #961864
    + Introduce a --help/-h option, which is part of #955049.
    + Support parsing buildinfo files with an embedded signature by ignoring
      the signature.  Validation (where relevant) is still left to the user.
      Closes: #955050
    + Attempt to locate packages via more than one snapshot.d.o URL rather
      than just giving up when the first one does not work.  Closes: #969098
    + If snapshot.debian.org is needed to resolve the dependencies, set
      the apt option "Acquire::Check-Valid-Until" to "false".  Closes: #955308
    + Support fetching data via tor via the new --use-tor-proxy option.
    + Fix a bug that caused debrebuild to fail when attempting to locate a
      package from snapshot.debian.org.  It sometimes also caused a
      warning about $pkg_arch being undefined.  Closes: #969098
    + Add --respect-build-path (new default) and its counter part
      --no-respect-build-path.  These options determine whether the
      Build-Path provided by the buildinfo should be used as build
      directory.  Closes: #964722

  [ Andrius Merkys ]
  * uscan:
    + Fix typo in the manpage.  MR: !201
    + Make the tarballs exported in svn mode reproducible.
      This adds new dependencies on libfile-dirlist-perl and libfile-touch-perl.
      Closes: #968230; MR: 204

  [ Jiří Paleček ]
  * uscan:
    + Many improvements regarding the handling of relative URLs.
      Closes: #792025; MR: !192

  [ Xavier Guimard ]
  * uscan:
    + Split --debug option to add a --extra-debug option that shows remote
      HTTP content.  MR: !191
    + Add new "ctype" line option to help to find current component version
      when this one is ignored in package version. Only "nodejs" and "perl"
      values are accepted for now.  MR: !178
    + Add tests for "group" features.  MR: !180
    + Mark version 2 as deprecated.  MR: !206
    + Respect --destdir value when checking git tag signatures.
      Closes: #973374; MR: !205
    + Apply patch from Neutron Soutmun, to add an "Accept" header in
      http requests.  Closes: #971086; MR: !209
  * salsa:
    + Add --archived option to list_repos and search_projects commands.
      Closes: #966013; MR: !210
  * Update French translation

  [ Matthijs Kooijman ]
  * uscan:
    + Fix --check-direname-level/regex handling.  See #905866; MR: !193
    + Fix error handling in case of invalid changelog field.  MR: !193
    + Clarify manpage about the recursive feature of uscan.  MR: !193
    + Fix some typos in the manpage and error messages.  MR: !193

  [ Reinhard Tartler ]
  * mk-origtargz:
    + Support a new field Files-Included in d/copyright to include files
      excluded by a previous Files-Excluded.  This is useful, for example, to
      include a specific vendored lib while excluding the whole vendor/
      directory.  Closes: #829646; MR: !189

  [ Yuri Konotopov ]
  * mk-origtargz:
    + Do not try to "unpack" upstream detached signatures.
      Closes: #951789; MR: !200

  [ Simon McVittie ]
  * debdiff:
    + Clarify how --exclude works: MR: !190
      - Improve the reference on the manpage.
      - Print a warning if --exclude is used in a way that will never match.

  [ Robin Gustafsson ]
  * uscan:
    + Add a new option "gitexport" to override any "export-ignore" rule that a
      git repository might have set.  Closes: #947317; MR: !174

  [ Martin Liška ]
  * checkbashisms:
    + Add a new --early-fail option, to quit at the first error found.  MR: !208

  [ Johannes Schauer ]
  * Add a new script, "debbisect", that help to bisect snapshot.debian.org
    to find which change in the archive introduced a certain problem.  MR: !177

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Nov 2020 11:13:42 +0100
